# Class CashAppAccountPayload

#### Hierarchy

- unknown
  - CashAppAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:4564
- Defined in src/protobuf/pb_pb.d.ts:4579

#####
Index

### Constructors

constructor

### Methods

getEmailOrMobileNrOrCashtag
getExtraInfo
serializeBinary
setEmailOrMobileNrOrCashtag
setExtraInfo
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new CashAppAccountPayload(): CashAppAccountPayload

- #### Returns CashAppAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getEmailOrMobileNrOrCashtag

- getEmailOrMobileNrOrCashtag(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4565

### getExtraInfo

- getExtraInfo(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4568

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4571

### setEmailOrMobileNrOrCashtag

- setEmailOrMobileNrOrCashtag(value: string): CashAppAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns CashAppAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4566

### setExtraInfo

- setExtraInfo(value: string): CashAppAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns CashAppAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4569

### toObject

- toObject(includeInstance?: boolean): CashAppAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns CashAppAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4572

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): CashAppAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CashAppAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4575

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CashAppAccountPayload, reader: BinaryReader): CashAppAccountPayload

- #### Parameters

  - ##### message: CashAppAccountPayload

  - ##### reader: BinaryReader

  #### Returns CashAppAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4576

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: CashAppAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: CashAppAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4574

### `Static` toObject

- toObject(includeInstance: boolean, msg: CashAppAccountPayload): CashAppAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CashAppAccountPayload

  #### Returns CashAppAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4573

Generated using TypeDoc